PHP Manual
Prev |  | Next

# bcompiler_write_functions_from_file

(PECL)

bcompiler_write_functions_from_file -- Writes all functions defined in a file as bytecodes

## Description

bool bcompiler_write_functions_from_file ( resource filehandle, string fileName )

Searches for all functions declared in the given file, and writes their correspondent bytecodes to the open file handle.

## Parameters

`filehandle`

  A file handle as returned by fopen().

`fileName`

  The file to be compiled. You must always include or require the file you intend to compile.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. bcompiler_write_functions_from_file() example

`<?php require('module.php'); $fh = fopen("/tmp/example","w"); bcompiler_write_header($fh); bcompiler_write_functions_from_file($fh,'module.php'); bcompiler_write_footer($fh); fclose($fh); ?>`

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

bcompiler_write_header()
bcompiler_write_footer()

Prev | Home | Next
bcompiler_write_function | Up | bcompiler_write_header